QGIS Application - Bug report #19500
Layout export - raster divided into tiles, edges evident in pdf/svg
2018-07-27 06:51 AM - Patrick Connellan

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:3.2.1 Regression?: Yes
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27328
Description

When exporting layout to SVG/PDF rasters are split into pieces of which the edges are evident in resulting output (see attached). This
does not happen when exporting as raster (vector symbology and text also rasterised) (with pdf export). | remember this happening quite
a few years ago and was then fixed. The last QGIS version | have where this doesn't happen is QGIS 2.18.13 Compiled against Qt4.8.5,
GDAL/OGR 2.2.1, GEOS 3.5.0-CAPI-1.9.0, QGIS code revision BcbaObb9eb, on my old computer running Windows 7 if that helps. Also
effects QGIS 3.2.0 and 2.18.22 on Windows 10 at least.

Associated revisions

Revision 60b8d052 - 2019-01-29 07:09 PM - Nyall Dawson
[needs-docs][layouts] Add checkbox to disable raster tiling for PDF/SVG exports
This setting, which is disabled by default and placed into an

"advanced" group on PDF/SFG export, disables the built-in

raster layer tiled rendering. While the tiling is good for

memory usage, it can cause visible "seams" in the rasters

for generated PDF/SVG files.

The setting has a tooltip warning users that disabling the

tiling results in high memory usage during exports.

Fixes #19500

History

#1 - 2018-07-27 10:16 PM - Nyall Dawson
- Status changed from Open to Feedback

So to confirm 2.18.14 has this bug, 2.18.13 doesn't?

#2 - 2018-07-28 02:41 AM - Patrick Connellan

No not sure how long after 2.18.13 it was, I'll run through them from that point and report back which one one it starts on.

#3 - 2018-07-28 10:00 AM - Nyall Dawson
Thanks, that'll help a lot!

#4 - 2018-07-29 04:58 AM - Patrick Connellan

Confirming 2.18.21 has bug and 2.18.20 does not. Cheers

#5 - 2018-07-30 10:53 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Feedback to Open

#6 - 2018-12-31 06:05 AM - Mathieu Pellerin - nIRV

For the record, large raster layers exported through layout (or composer prior to 3.X) were always divided into tiles (the max. number of pixel is

4000-something | think). I'm wondering whether the issue has to do with the PDF reader of the author of this issue, which might have been updated and

doesn't render as nicely as it used to.

#7 - 2018-12-31 06:20 AM - Nyall Dawson

Actually it's caused by 31a9571855068fce6191c3c3b6d9231f7ef97c7c¢ - for a short period of time we didn't render the rasters in blocks (unintentionally),

and that commit fixed the render in blocks approach

#8 - 2019-01-29 03:59 AM - Nyall Dawson
- Status changed from Open to In Progress
- Assignee set to Nyall Dawson

#9 - 2019-01-29 07:08 PM - Nyall Dawson
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|60b8d05278cd8133e1c06108ba875960d56e90e5.
